name: admin_desktop
description: A new Flutter project.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.0+12

environment:
  sdk: '>=2.18.1 <3.0.0'

dependencies:
  flutter:
    sdk: flutter
  dio: ^4.0.6
  intl: ^0.17.0
  get_it: ^7.2.0
  flash: ^2.0.3+3
  shimmer: ^2.0.0
  auto_route: ^5.0.1
  google_fonts: ^4.0.4
  flutter_remix: ^0.0.3
  bitsdojo_window: ^0.1.5
  flutter_riverpod: ^1.0.4
  connectivity_plus: ^2.3.7
  freezed_annotation: ^2.1.0
  flutter_screenutil: ^5.8.1
  shared_preferences: ^2.0.13
  cached_network_image: ^3.2.2
  flutter_svg: ^1.1.5
  osm_nominatim: ^2.0.1
  lottie: ^2.2.0
  google_maps_flutter: ^2.2.3
  flutter_staggered_animations: ^1.1.1
  drag_and_drop_lists: ^0.3.3
  slide_digital_clock: ^1.0.3
  flutter_slidable: ^2.0.0
  image_picker: ^0.8.7+4
  image_cropper: ^3.0.2
  url_launcher: ^6.1.10
  pull_to_refresh: ^2.0.0
  proste_indexed_stack: ^0.2.4
  fl_chart: ^0.62.0
  percent_indicator: ^4.2.3
  calendar_date_picker2: ^0.3.5
  firebase_messaging: ^14.5.0
  firebase_core: ^2.11.0
  flutter_pos_printer_platform: ^1.3.1
  geolocator: ^9.0.2
  msix: ^3.12.1
  

dev_dependencies:
  flutter_test:
    sdk: flutter
  freezed: ^2.1.0+1
  build_runner: ^2.2.1
  flutter_lints: ^2.0.0
  auto_route_generator: ^5.0.2



flutter_icons:
  android: true
  ios: true
  mac: true
  remove_alpha_ios: true
  image_path: 'assets/images/png/app_logo.png'


  msix_config:
    display_name: Foodyman POS App
    publisher_display_name: Githubit
    identity_name: org.foodyman.pos
    msix_version: 1.0.0.0
    logo_path: D:\post_app_foodyman-main\post_app_foodyman\assets\images\png\app_logo.png

flutter:
  uses-material-design: true
  assets:
    - assets/images/png/
    - assets/svg/
    - assets/lottie/
    - assets/
    - assets/images/
